group 'SmartVenue'
version '1.0.0'

apply plugin: 'java'
apply plugin: 'org.springframework.boot'

sourceCompatibility = 1.8

buildscript {
    repositories {
        //mavenCentral()
		maven {
			url 'http://maven.aliyun.com/nexus/content/groups/public/'
		}
    }
    dependencies {
        classpath("org.springframework.boot:spring-boot-gradle-plugin:1.5.4.RELEASE")
    }
}
repositories {
    //mavenCentral()
    maven {
        url 'http://maven.aliyun.com/nexus/content/groups/public/'
    }
}

jar {
    baseName = 'sv-api'
}

dependencies {
    testCompile group: 'junit', name: 'junit', version: '4.12'
    compile fileTree(include: '*.jar', dir: 'src/libs')
    compile project(':service')
    compile 'mysql:mysql-connector-java:6.0.6'
}

tasks.withType(JavaCompile) {
    options.encoding = "UTF-8"
}

